local FunctionOnIconData = BaseClass("FunctionOnIconData")
local __init = function(self)
  self.id = ""
  self.name = ""
  self.icon = ""
  self:AddListener()
end
local __delete = function(self)
  self.id = nil
  self.name = nil
  self.icon = nil
  self:RemoveListener()
end
local AddListener = function(self)
end
local RemoveListener = function(self)
end
local InitData = function(self, id, name, icon)
  self.id = id
  self.name = name
  self.icon = icon
end
FunctionOnIconData.__init = __init
FunctionOnIconData.__delete = __delete
FunctionOnIconData.AddListener = AddListener
FunctionOnIconData.RemoveListener = RemoveListener
FunctionOnIconData.InitData = InitData
return FunctionOnIconData
